Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Netnewsticker doesn't compile [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
deranonyme
Apprentice
Apprentice


Joined: 09 Jul 2005
Posts: 257

PostPosted: Sat Aug 17, 2013 9:13 am    Post subject: Netnewsticker doesn't compile [SOLVED] Reply with quote

Hallo

One of my most important programs, the Netnewsticker, doesn't compile now. Unfortunately I'm not able to customise the ebuild.
The Error message means EAPI 3 is not compatible. Is there anybody who can help me? Here are ebuild and patch code. But there seem to be an other problem. Is it possible that the new plasma-workspace-4.11.0 doesn't support the rss tag? This tag is needed to compile netnewsticker.

Code:
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI=3
inherit kde4-base

MY_P=${P/-/_}

DESCRIPTION="KDE Plasmoid which displays RSS-Feeds in scrolling text"
HOMEPAGE="http://netnewsticker.org/"
SRC_URI="http://ppa.launchpad.net/christau/netnewsticker/ubuntu/pool/main/n/netnewsticker/${MY_P}.orig.tar.gz"
KEYWORDS="~amd64 ~x86"

LICENSE="GPL-2"
SLOT="4"
IUSE="debug"

RESTRICT="mirror"

DEPEND=">=kde-base/kdepimlibs-${KDE_MINIMAL}
>=kde-base/plasma-workspace-${KDE_MINIMAL}[rss]"
RDEPEND="${DEPEND}"

S=${WORKDIR}

PATCHES=("${FILESDIR}/${P}-cmake.patch")



Hier noch der Patchcode
Code:

--- /dev/null
+++ CMakeLists.txt
@@ -0,0 +1,109 @@
+# This File is part of NetNewsTicker
+# (c)2009 Christian Taubenheim
+# www.netnewsticker.org
+
+# This program is free software. you can redistribute it and/or
+# modify it under the terms of the GNU General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+
+project(netnewsticker)
+
+# Find the required Libaries
+find_package(KDE4 REQUIRED)
+find_package(KdepimLibs REQUIRED)
+
+include(KDE4Defaults)
+ADD_DEFINITIONS(-DCOMPILE_USE_QT4)
+
+add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
+include_directories(
+ ${CMAKE_SOURCE_DIR}
+ ${CMAKE_BINARY_DIR}
+ ${KDE4_INCLUDES}
+ )
+
+add_subdirectory(po)
+add_subdirectory(icons)
+
+# We add our source code here
+set(NetNewsTicker_SRCS src/netnewsticker.cpp
+ src/item.cpp
+ src/newsfeedmanager.cpp
+ src/feedsettingswidget.cpp
+ src/filtersettingswidget.cpp
+ src/settingsdialog.cpp
+ )
+
+# Now make sure all files get to the right place
+kde4_add_kcfg_files(NetNewsTicker_SRCS src/settings.kcfgc)
+kde4_add_ui_files(NetNewsTicker_SRCS src/visualsettings.ui src/feedsettings.ui src/feeddirectory.ui src/filtersettings.ui)
+kde4_add_plugin(plasma_applet_netnewsticker ${NetNewsTicker_SRCS})
+target_link_libraries(plasma_applet_netnewsticker
+ ${KDE4_PLASMA_LIBS}
+ ${KDE4_KDEUI_LIBS}
+ ${QT_QTXML_LIBRARY}
+ ${KDE4_SYNDICATION_LIBS}
+ ${QT_QTNETWORK_LIBRARY}
+ ${KDE4_KIO_LIBRARY})
+
+install(TARGETS plasma_applet_netnewsticker
+ DESTINATION ${PLUGIN_INSTALL_DIR})
+
+install(FILES plasma-applet-netnewsticker.desktop
+ DESTINATION ${SERVICES_INSTALL_DIR})
+
+############################################################
+##
+## Package Generator
+##
+IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
+ MESSAGE(STATUS "CMakeRoot: ${CMAKE_ROOT}/Modules/CPack.cmake")
+ INCLUDE(InstallRequiredSystemLibraries)
+
+ SET(CPACK_SET_DESTDIR "on")
+ SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
+ SET(CPACK_GENERATOR "DEB;RPM;STGZ;TBZ2;TGZ;TZ;ZIP;SOURCE_TGZ;SOURCE_TZ;SOURCE_ZIP;")
+ SET(CPACK_SOURCE_IGNORE_FILES
+ "/build/"
+ "/.svn/"
+ ".kdev4$"
+ "~$"
+ )
+
+ SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NetNewsTicker")
+
+ SET(CPACK_PACKAGE_VENDOR "")
+ SET(CPACK_PACKAGE_CONTACT "")
+# SET(CPACK_RESOURCE_FILE_LICENSE ${CMAKE_CURRENT_SOURCE_DIR}//COPYING)
+ SET(CPACK_PACKAGE_VERSION_MAJOR ${MAJOR_VERSION})
+ SET(CPACK_PACKAGE_VERSION_MINOR ${MINOR_VERSION}) # to create a debian confirm file-version-string
+ STRING(REGEX REPLACE "_" "-" CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")
+ SET(CPACK_PACKAGE_FILE_NAME ${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CMAKE_SYSTEM_PROCESSOR})
+ SET(CPACK_SOURCE_PACKAGE_FILE_NAME ${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_source)
+
+ ## LIST EXECUTABLES
+ SET(CPACK_STRIP_FILES "lib//plasma_plasma_applet_netnewsticker.so")
+ SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
+
+ ## DEBIAN SPECIFIC SETTINGS
+ ##
+ SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "A scrolling RSS ticker")
+ SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
+ SET(CPACK_DEBIAN_PACKAGE_SECTION "kde")
+ SET(CPACK_DEBIAN_PACKAGE_DEPENDS "kdebase-runtime (>= 4:4.2.1), kdelibs5 (>= 4:4.2.1), libc6 (>= 2.1.3), libgcc1 (>= 1:4.1.1), libplasma3, libqt4-dbus (>= 4.5.0~+rc1), libqt4-network (>= 4.5.0~+rc1), libqt4-svg (>= 4.5.0~+rc1), libqt4-xml (>= 4.5.0~+rc1), libqtcore4 (>= 4.5.0~+rc1), libqtgui4 (>= 4.5.0~+rc1), libstdc++6 (>= 4.2.1)")
+
+ FIND_PROGRAM(DPKG_CMD dpkg)
+ IF(DPKG_CMD)
+ EXECUTE_PROCESS(COMMAND "${DPKG_CMD}" --print-architecture
+ OUTPUT_VARIABLE CPACK_DEBIAN_PACKAGE_ARCHITECTURE
+ OUTPUT_STRIP_TRAILING_WHITESPACE)
+ SET(CPACK_DEBIAN_PACKAGE_NAME ${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}_${CPACK_DEBIAN_PACKAGE_ARCHITECTURE})
+ ENDIF(DPKG_CMD)
+
+ ## RPM SPECIFIC SETTINGS
+ ##
+
+ INCLUDE(CPack)
+ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
+
--- /dev/null
+++ icons/CMakeLists.txt
@@ -0,0 +1 @@
+kde4_install_icons(${ICON_INSTALL_DIR})
--- /dev/null
+++ po/CMakeLists.txt
@@ -0,0 +1,26 @@
+FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)
+
+IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
+ MESSAGE( "NOTE: msgfmt not found. Translations will not be installed" )
+ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
+ SET(catalogname plasma_applet_netnewsticker)
+ ADD_CUSTOM_TARGET(translations ALL)
+ FILE(GLOB PO_FILES ${catalogname}*.po)
+ FOREACH(_poFile ${PO_FILES})
+ GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
+ STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
+ STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )
+
+ IF( _langCode )
+ GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
+ SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
+
+ ADD_CUSTOM_COMMAND(TARGET translations
+ COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check -o ${_gmoFile} ${_poFile}
+ DEPENDS ${_poFile})
+ INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
+ ENDIF( _langCode )
+
+ ENDFOREACH(_poFile ${PO_FILES})
+
+ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)


Or is there an other program with the same functionality that I doesn't know?

Thanks

Frank


Last edited by deranonyme on Sun Aug 18, 2013 9:04 am; edited 1 time in total
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 3839
Location: Irgendwo im Nirgendwo

PostPosted: Sat Aug 17, 2013 1:08 pm    Post subject: Reply with quote

Changing EAPI=3 to EAPI=4 IMHO should work. (if the error is only about EAPI compatibility)
_________________
"der mac dennoch wesen geil"
Wolfram von Eschenbach, Parzival (Buch 1, Z. 7).
Ein frühes Statement gegen Windows.

My overlay
Back to top
View user's profile Send private message
deranonyme
Apprentice
Apprentice


Joined: 09 Jul 2005
Posts: 257

PostPosted: Sat Aug 17, 2013 1:35 pm    Post subject: Reply with quote

franzf wrote:
Changing EAPI=3 to EAPI=4 IMHO should work. (if the error is only about EAPI compatibility)


Yes, it seem to work. But there is also the problem with plasma-workspace and rss tag.
Code:
 kde-base/plasma-workspace:4

  (kde-base/plasma-workspace-4.11.0::gentoo, ebuild scheduled for merge) conflicts with
    >=kde-base/plasma-workspace-4.4[rss] required by (kde-misc/netnewsticker-0.8.8::x-local, installed)


Frank
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 3839
Location: Irgendwo im Nirgendwo

PostPosted: Sat Aug 17, 2013 2:25 pm    Post subject: Reply with quote

There was an issue with the meaning of "rss" (it also controlled holidays display in the clock popup). As semantic-desktop is not optional anymore USE="rss" got removed and dependencies get pulled in hard.
So you simply need to remove the [rss] in the plasma-workspace-dep in your ebuild.
_________________
"der mac dennoch wesen geil"
Wolfram von Eschenbach, Parzival (Buch 1, Z. 7).
Ein frühes Statement gegen Windows.

My overlay
Back to top
View user's profile Send private message
deranonyme
Apprentice
Apprentice


Joined: 09 Jul 2005
Posts: 257

PostPosted: Sun Aug 18, 2013 9:04 am    Post subject: Reply with quote

Thank you. It works fine.

Frank
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum